#!/usr/bin/perl

BEGIN {
  require './school-lib.pl';
  require './classPerm.pl';
  require './school-users.pl';
  require './classrooms.pl';
}
use strict;
use vars qw(%in %text %config $logged $tb $cb);
use ClassroomsLine;
use ColonedLine;
use ClassroomsFile;

&header($text{userdb_lockClassTitle}, "", "classe", 1, 0);

# Saisie uniquement
$logged = 1;

my $nextUrl="classOverview.cgi";

displayClassroomsBox($nextUrl);
my $state = getClassStates();

$|=0;
hr;
mainForm("lockClassAct",
	 $text{userdb_lockClassFormTitle},
	 { 'border' },
	 sub {
	     &hidden("123456789url2", $nextUrl);
	     classHeaderLine(1);
	     foreach my $classe (getClasses(1)) {
	       classLine(0, 1, $state, $classe);
	     }
	     classButtonLine(1);
	   });

&footer(".", "index");
