#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
  require './school-lib.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use PasswdFile;

requireRole("installateur");
$whatfailed = $text{whatfailed_delWinboxAct};
&ReadParse(\%in);

my $smb = $config{'smbpasswd_location'};
my $userdel = $config{'userdel_location'};

&header($text{title_boxadmin}, "", "boxes#winnt", 1, 0);
hr;
my %toDelete;
foreach my $machine (keys %in) {
  if ($machine =~ /^x(.*)$/) {
    $machine = $1;
    if ($in{"x$machine"} ne "") {
      if (! passwd->get("$machine\$") ) {
	print("La machine $machine n'existe pas\n");
	br;
	next;
      }

      logMsg($machine);
      &watchProcess("$smb -x -m $machine\$", 1);
      &watchProcess("$userdel $machine\$", 1);
      $toDelete{$machine}=1;
    }
  }
}
hr;

printLink "listWinboxes", $text{general_returnToList};
br;
&footer("/", "index");
