use strict;
use vars qw($formatTr);

$formatTr = {
	     t => 'cat',
	     l => 'login',
	     n => 'lastName',
	     p => 'firstName',
	     d => 'rawdate',
	     c => 'classe',
	     a => 'alias',
	     P => 'pass',
	     o => 'oper',
	     C => 'defaultClass'
      };

sub readFormatFile {
    use vars qw(%in);
    my ($file) = @_;

    open(FILE, "</etc/templates/$file");
    $in{pattern}=<FILE>;
    while(<FILE>) {
	chop;
	if (/^(.)=(.*)/) {
	    $in{$formatTr->{$1}} = $2;
	} elsif(/^(..+?)=(.*)/) {
	    if(!exists $in{$1}) {
		$in{$1}=$2;
	    }
	}
    }
    close(FILE);
}

1;
