# access /etc/groups file
#

BEGIN {
    require './school-lib.pl';
}

use strict;
use Lock;
use GroupFile;

sub isMemberOfDialout {
  my ($user) = @_;
  return groupDB->get("dialout")->contains($user);
}

sub addToDialoutGroup {
  my ($user,$state) = @_;

  my $group = groupDB->get("dialout");
  if($state) {
    $group->add($user);
  } else {
    $group->remove($user);
  }
  groupDB->write();
}

1;
