use strict;
use vars qw($table $explications $filename);

$filename="$config{firewall_location}/main";
$table = [
	  [ $text{suseWall_friends}, "FRIENDS", \&link_checkbox ],
	  [ $text{schoolWall_foes}, "FOES", \&link_checkbox ],
	  [ $text{fw_inc_tcp_services}, "INC_TCP", \&ip_services ],
	  [ $text{fw_inc_udp_services}, "INC_UDP", \&ip_services ],
	  [ $text{fw_inc_nat_tcp}, "INC_NAT_TCP", \&ip_nat ],
	  [ $text{fw_inc_nat_udp}, "INC_NAT_UDP", \&ip_nat ]
	  ];


$explications = <<EOF
<h1>Explications</h1>
Cet cran contient la configuration des rgles concernant les
connexions entrants (donc de l'extrieur vers l'intrieur).
<ul>
<li>Le champ "<b>Sites amis</b>" contient une liste de machines dont l'accs
n'est pas filtr par le pare-feu
<li> Les <b>Sites ennemis</b> sont des sites ayant pirat dans le pass.  Tout accs  partir de ces sites est interdit

<li>Puis, suivent les services TCP et UDP autoriss. Les services sont
indiqus sous la forme <em>host</em>:<em>port</em>, o <em>host</em>
peut tre une addresse IP, <tt>*</tt> ou <tt>self</tt>.
 <ul>
  <li><tt>*</tt> dsigne des services prsents sur <em>tous</em> les hosts
  <li><tt>self</tt> dsigne des services prsents sur la machine pare-feu elle-mme (indiquer son addresse IP ne marche pas)
 </ul>
</ul>

EOF
;

1;
