#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use English;

BEGIN {
    require './school-lib.pl';
}

use PasswdFile;
use GroupFile;

require './classPerm.pl';

$whatfailed = $text{whatfailed_lockClassAct};
requireRole("stagiaire");

&ReadParse(\%in);

#my $classe=$in{'classe'};
#my $act=$in{'act'};

handleAllClassState(\%in);

if(defined $in{"123456789url2"}) {
  &redirect($in{"123456789url2"});
} else {
  &redirect("editUser0.cgi?".$in{"123456789url"});
}
