#!/usr/bin/perl
# purgeAct.cgi
# The action of purging

BEGIN {
    require './school-lib.pl';
    require './school-users.pl';
    require './date.pl';
}
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_purge};
requireRole("admin");
&ReadParse(\%in);

my $arg;
if ( $in{'date.J'} ne "") {
  my $ldate = &jmaToDaystring("date", \%in);
  $arg = "-p $ldate";
  my $now = &timeToDaystring(time);
  if ($ldate >  $now - 100) {
    &error($text{purgeAct_tooRecent});
  }
} elsif ($in{'login'} ne "") {
  $arg = "-D ".checkUserForCleansing;
} else {
  $arg = "-T";
}

&header($text{title_useradmin}, "", "user#purge", 1, 0);
&watchProcess($config{'userd_location'}." ".$arg, 1);
&menu;
&footer("/", "index");
