#!/usr/bin/perl

use English;

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $no_upload);
use PasswdFile;
use GroupFile;

$whatfailed=$text{whatfailed_saveFile};

if ($ENV{REQUEST_METHOD} eq "POST") { &ReadParseMime(\%in); }
else { &ReadParse(\%in); $no_upload = 1; }

my ($login, $userdbLine, $passwdLine) = checkUserForStudent;
requireSelfOrStudent($userdbLine);

my ($filename, $dirName) = parseDirName($passwdLine, $in{dirName});
open (FILE, ">$filename") ||
  &error(&text('error_openWrite', $filename, $ERRNO));
$in{'file'} =~ s/\r//g;
print FILE $in{'file'};
close(FILE);
delete $in{'file'};
&redirect("editFile.cgi?login=$login&dirName=$dirName");
