use strict;
use vars qw($table $firewallScript @firewallScripts $explications $filename);

$filename="/etc/rc.config.d/firewall.rc.config";
$table = [
	  [ $text{suseWall_start}, "START", \&checkbox ],

	  [ $text{suseWall_protectInternal}, "PROTECT_FROM_INTERNAL",
	    \&checkbox ],

	  [ $text{suseWall_protectGlobal}, "AUTOPROTECT_GLOBAL_SERVICES",
	    \&checkbox ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_outside}),
	    "SERVICES_EXTERNAL_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_outside}),
	    "SERVICES_EXTERNAL_TCP", \&services ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_dmz}),
	    "SERVICES_DMZ_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_dmz}),
	    "SERVICES_DMZ_TCP", \&services ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_inside}),
	    "SERVICES_INTERNAL_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_inside}),
	    "SERVICES_INTERNAL_TCP", \&services ],

	  [ $text{suseWall_trustedNets}, "TRUSTED_NETS", \&networks ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_trustedNets2}),
	    "SERVICES_TRUSTED_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_trustedNets2}),
	    "SERVICES_TRUSTED_TCP", \&services ],

	  [ $text{suseWall_allowPingToFw},
	    "ALLOW_PING_FW", \&checkbox ],

	  [ $text{suseWall_allowPingToDmz},
	    "ALLOW_PING_DMZ", \&checkbox ],

	  [ $text{suseWall_mail}, "FORWARD_TCP", \&serverList, 25 ],
	  [ $text{suseWall_dns},  "FORWARD_UDP", \&serverList, 53 ],
	  [ $text{suseWall_www},  "FORWARD_TCP", \&serverList, 80 ],
	  [ $text{suseWall_ftp},  "FORWARD_TCP", \&serverList, 21 ],
	  [ $text{suseWall_ssl},  "FORWARD_TCP", \&serverList, 22 ],

	  ];

$firewallScript="firewall";

@firewallScripts=("firewall", "school-firewall", "classrooms");


$explications = "";
1;
