use strict;
use vars qw($table $firewallScript @firewallScripts $explications $filename);

$filename="$config{firewall_location}/main";
$table = [
	  [ $text{suseWall_start}, "START", \&checkbox ],
	  [ $text{suseWall_logDeny}, "LOG_DENY", \&checkbox ],
	  [ $text{suseWall_friends}, "FRIENDS", \&link_checkbox ],
	  [ $text{suseWall_direct}, "INOUT", \&link_checkbox ],
	  [ $text{suseWall_mail}, "MAILSERVER", \&networks ],
	  [ $text{suseWall_dns}, "DNSSERVER", \&networks ],
	  [ $text{suseWall_www}, "WWWSERVER", \&networks ],
	  [ $text{suseWall_ftp}, "FTPSERVER", \&networks ],
	  [ $text{suseWall_ssl}, "SSLSERVER", \&networks ],
	  ];

$firewallScript="firewall";

@firewallScripts=("firewall", "school-firewall", "classrooms");


$explications = <<EOF
<h1>Explications</h1>
<ul>
<li>Le bouton <b>Dmarrage du pare-feu</b> dtermine si le pare-feu est activ ou pas.  Il commande l'activation de <u>tout</u> le pare-feu, y compris des
aspects configurs par les autres tableaux (entrant, sortant, ...)

<li>Le bouton <b>Trace des paquets rfuss</b> dtermine si le systme
note les paquets refuss dans son <a href="listFirewallLog.cgi">journal</a>

<li>Le champ "<b>Sites amis</b>" contient une liste de machines dont l'accs
n'est pas filtr par le pare-feu

<li>Les <b>Machines ayant accs direct  l'extrieur"</b> sont des machines internes qui ne sont soumises  aucune restriction dans leur accs  l'extrieur.
(Pas d'obligation de passer par le proxy, accs  tous les serveurs News, etc.)


</ul>
EOF
;

1;
