# Utility methods for teacherclass

# Gets class listed in a given file
sub getClassFromFile {
  my ($file) = @_;
  my ($shareName, $class);

  open(CONF, "<$file") || die "Could not read $file ($ERRNO)\n";
  while(<CONF>) {
    chomp;
    s/\#.*//;
    next if(/^\s*$/);
    if(/\[(.*)\]/) {
      $shareName=$1;
    }
    if($shareName eq "classe" &&
       /^\s*path\s*=\s*\/home\/classes\/$config{classe_prefix}(.*)\/commun\s*$/) {
      $class=$1;
    }
  }
  close(CONF);
  return $class;
}

sub tcDirectory {
  return "/etc/samba/teacherClass/";
}

1;
