#!/usr/bin/perl

BEGIN {
  $| = 1;

  require './school-lib.pl';
  require './school-users.pl';
};

require './etc-passwd.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb);


&ReadParse(\%in);

# Consultation uniquement
$logged = 1;

use strict;
use vars qw(%in %text %config);

use UserDBFile;
use PasswdFile;
use UserList;
use Keller;

my $init=$in{'init'};

my @unknownUsers = ();

foreach my $line (passwd->array) {
    if ($line->isSystemUser) {
	next;
    }
    my $user = $line->user;

    if (userDB->get($user)) {
	next;
    }

    if (keller->contains($user)) {
	next;
    }

    if ($user =~ /\$$/) {
	next;
    }

    if($user eq "webmast" || $user eq "ens") {
	next;
    }

    unshift(@unknownUsers, $line);
}

header($text{title_useradmin}, "", "user#audit", 1, 1);
hr;
my $isAdmin = haveRole('admin');
if (@unknownUsers) {
    print "$text{audit_title}<p>";

    printPasswdLines($isAdmin, \@unknownUsers);
} else {
    print $text{audit_none};
}

hr;

footer("/", "index");
