#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well


require './school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $no_upload);

requireRole("admin");
$whatfailed = $text{whatfailed_batchAct};

if ($ENV{REQUEST_METHOD} eq "POST") { &ReadParseMime(\%in); }
else { &ReadParse(\%in); $no_upload = 1; }

if ($in{action} eq $text{batch_editFormat} ||
    $in{action} eq "format") {
  require "defFormat.pl";
} else {
  require "batchAct2.pl";
}

&menu;
&footer("/", "index");
