#!/usr/bin/perl

BEGIN {
    require './school-lib.pl';
    require './logfile.pl';
};
use strict;
use vars qw(%in %text %config $logged $tb $cb);

&header($text{title_logconsult}, "", "log", 1, 0);

# Saisie uniquement
$logged = 1;


require 'date.pl';

hr;

mainForm("listWebminLogAct",
	 $text{listWebminLog_title},
	  sub {
	      tableRow {
		  printLabeledTextLine($text{logfile_user}, "user");
		  printLabeledTextLine($text{listWebminLog_clientHost},
				       "clientHost");
	      };
	      &tableRow([{align=>'right'}, $text{listWebminLog_action},
			 {align=>'left', colspan=>3}, sub {
			     printTextLine("operation", "", {size=>60}) }]);
	      printDateAndSubmit;
	  });

&footer("/", "index");
