#!/usr/bin/perl

BEGIN { require './school-lib.pl' };

use strict;
use vars qw(%in %text %config $logged $tb $cb);
use PasswdFile;

# Saisie uniquement
$logged = 1;


&header($text{title_boxadmin}, "", "boxes#winnt", 1, 0);

hr;

my $background={$cb};

form ("delWinboxAct", sub {
    table sub {
	&tableRow([{colspan=>2},
		   "<b>$text{listWinboxes_title}</b>"], {$tb});
	my @winboxes;
	foreach my $box (passwd->array) {
	  if ($box->[0] =~ /^(.*)\$$/) {
	    push(@winboxes, $1);
	  }
	}

	foreach my $box (sort {
	  my $aa = $a;
	  $aa =~ s/[^a-zA-Z0-9]//;
	  my $bb = $b;
	  $bb =~ s/[^a-zA-Z0-9]//;
	  lc($aa).$a cmp lc($bb).$b
	} @winboxes) {
	  tableRow {printLabeledCheckbox($box, "x$box")} $background;
	}

	&tableRow([{colspan=>2},
		   sub { submit($text{listWinboxes_submit})}], {$cb});
    }, { 'border'} });

printLink("purgeSamba", $text{listWinboxes_purge});
hr;

&footer("/", "index");
