use strict;
use vars qw($table $explications $filename);

$filename="$config{firewall_location}/main";
$table = [
	  [ $text{suseWall_direct}, "INOUT", \&link_checkbox ],
	  [ $text{fw_ext_tcp_services}, "EXT_TCP", \&ip_services ],
	  [ $text{fw_ext_udp_services}, "EXT_UDP", \&ip_services ],
	  [ $text{fw_ext_lk_tcp_services}, "CLSLK_TCP", \&ip_services ],
	  [ $text{fw_ext_lk_udp_services}, "CLSLK_UDP", \&ip_services ]
	  ];


$explications = <<EOF
<h1>Explications</h1>
Cet cran contient la configuration des rgles concernant les
connexions sortantes (donc de l'intrieur vers l'extrieur).
<ul>

<li>Le champ "<b>Machines ayant accs direct  l'extrieur</b>"
dsigne les machines ayant un accs non filtr  l'extrieur. Aucune
rgle n'est applique aux connexions sortantes depuis ces machines

<li>Puis, suivent les services TCP et UDP autoriss. Les services sont
indiqus sous la forme <em>host</em>:<em>port</em>, o <em>host</em>
peut tre une addresse IP, <tt>*</tt> ou <tt>self</tt>.
 <ul>
  <li><tt>*</tt> dsigne des services prsents sur <em>tous</em> les hosts
  <li><tt>self</tt> dsigne des services prsents sur la machine pare-feu elle-mme (indiquer son addresse IP ne marche pas)
 </ul>
</ul>

EOF
;

1;
