#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
    require 'school-lib.pl';
    require 'school-users.pl';
    require 'changePass.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed @matches);

$whatfailed = $text{whatfailed_passwdAct};
&ReadParse(\%in);

my ($login, $userdbLine, $passwdLine) = checkUserForModification;
requireSelfOrStudent($userdbLine);


my $ref="<a href=\"editUser.cgi?login=$login\">";
my $tryAgain= $ref."try again</a>";

if ($in{'pass1'} ne $in{'pass2'}) {
    &header($text{title_useradmin}, "", "user", 1, 0);
    hr;
    print "<b>Passwords differ, $tryAgain</b>\n";
    hr;
    &footer("/", "index");
} else {
    my $pass = $in{'pass1'};
    eval {
      changePass('lllpriv', $login, undef, $pass);
    };
    if($@) {
      my $error=$@;
      &error($error);
    }

    &header($text{title_useradmin}, "", "user", 1, 1);

    # Run pwupdate
    hr;
    print "<b>Password changed";
    system("/etc/init.d/smb reload");
    hr;
    print "<b>Done, ".$ref."Go back</a></b>\n";

    br;

    &menu;
    &footer("/", "index");
}
