#!/usr/bin/perl

BEGIN { require './school-lib.pl' };

require './projects.pl';
use strict;
use vars qw(%in %text %config $logged $tb $cb);

# Saisie uniquement
$logged = 1;


&header($text{title_useradmin}, "", "projects", 1, 0);

hr;

my @projects= getProjectShares();


my $nProjects = scalar(@projects);
my $iProject = 0;

mainTable("$text{projects_title}",
	  { }, sub {
	    while($iProject < $nProjects) {
	      &tableRow(sub {
			  my $j;
			  for(my $j=0; $j < 4; $j++) {
			    print "<td align=center>";
			    if ($iProject < $nProjects) {
			      printLink("editProject", $projects[$iProject],
					{project=>$projects[$iProject] });
			      $iProject++;
			    }
			    print "</td>\n";
			  }
			});
	    }
	  });


printLink("editProject", "$text{projects_new}", {isnew => 1});

hr;

&footer("/", "index");
