#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
  require './school-lib.pl';
  require './date.pl';
};
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

requireRole("admin");

$whatfailed = $text{whatfailed_purge};
&ReadParse(\%in);

&header($text{title_useradmin}, "", "user#purge", 1, 0);

hr;

# Saisie uniquement
$logged = 1;


form ("purgeAct",
      sub { table([{$tb}, [$text{purge_title} ],
		   {$cb},[ sub {
			     print "$text{purge_date}: ";
			     my %date=();
			     &timeToJma(time - 61 * 24 * 3600, \%date);
			     &inputDate("date",\%date); }
			 ],
		   {$cb=>'', align=>"center"},
		   [ sub { submit($text{button_submit}) } ] ],
		  {'border'=>""})});
&footer("/", "index");
