#!/usr/bin/perl

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
};
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use PasswdFile;

$whatfailed = $text{whatfailed_rectify};
requireRole "admin";
require './etc-passwd.pl';
require './date.pl';
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;


require './userTable.pl';

&timeToJma(time, \%in);

$in{cat}="EXT";
$in{'firstName'}='';
$in{'lastName'}='';
$in{'classe'}='';
$in{'alias'}='';
$in{'pass1'}='';
$in{'pass2'}='';



&header($text{title_useradmin}, "", "user", 1, 0);
hr;

&printPasswdLines(0, [ passwd->get($in{'login'}) ] );

userTable(title=>$text{rectify_title},
	  label=>$text{rectify_label},
	  loginInvariant=>1,
	  regularize=>1,
	  noPasswd=>1);

form ("purgeAct", sub {
    dumpLogin;
    submit $text{rectify_delete};
});

hr;

&footer("/", "index");
