#!/usr/bin/perl
# destruction d'un utilisateur

BEGIN{
  require './school-lib.pl';
  require './school-users.pl';
};

use strict;
use Ssn;
use RenameUser;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_renameUserAct};
&ReadParse(\%in);

my ($login, $userdbLine, $passwdLine)=checkUserForDestruction;
my $msg;
requireRole "admin";

my $newName = $in{newName};
if($newName ne $login) {
  eval {
    RenameUser::renameUser($login, $newName);
  };
  if($@) {
    my $error=$@;
    &error(html_escape($error));
  }
}
&redirect("editUser.cgi?login=".$newName);
