
sub changeExamPass {
  my (@users) = @_;

  require 'changePass.pl';
  my %pwmap;
  my $gpwOpened = 0;
  foreach my $user (@users) {
    $user =~ tr/A-Z/a-z/;
    my $done = 0;
    my $ctr = 0;
    while(!$done) {
      if(!$gpwOpened) {
	open(GPW, "/usr/bin/gpw ".(3*scalar(@users)+10)."|") ||
	  die "Cannot start gpw\n";
	$gpwOpened=1;
      }
      my $pass = <GPW>;
      chomp($pass);
      if($pass eq "") {
	close(GPW);
	$gpwOpened=0;
	next;
      }
      eval {
	changePass("batchpass", $user, "", $pass);
	$pwmap{$user} = $pass;
	$done = 1;
      };
      if($@ && $ctr > 10) {
	my $error = $@;
	&error($@);
      }
      $ctr++;
    }
    if($gpwOpened) {
      close(GPW);
    }
  }

  mainTable($text{setExamPasswords_formTitle},
	    sub {
	      &tableRow([ {align => 'center' },
			  '<b>'.$text{setExamPasswords_user}.'</b>',
			  '<b>'.$text{setExamPasswords_password}.'</b>' ]);
	      foreach my $user (@users) {
		&tableRow([ {align => 'right'},
			    "<tt>". html_escape($user) ."</tt>",
			    {align=> 'left' },
			    "<tt>". html_escape($pwmap{$user}) ."</tt>"]);
	      }
	    }, {border=>1, cellpadding=>10});

}

1;
