#!/usr/bin/perl

use English;

BEGIN{ require './school-lib.pl'};
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

&header($text{title_fwadmin}, "", 1, 0);

require 'squid.pl';


hr;
mainForm
    "squidCensoredAct", $text{squidCensored_title},
    [[ $text{squidCensored_bannedUsers}, $text{squidCensored_directClients} ],
     [ sub {
	 displaySquidFile(0);
       }, sub {
	 displaySquidFile(1);
       }],
     [ $text{squidCensored_censoredDomains},
       $text{squidCensored_censoredIPs} ],
     [ sub {
	 displaySquidFile(2);
       }, sub {
	 displaySquidFile(3);
       }],
     [ $text{squidCensored_localNets}, "" ],
     [ sub {
	 displaySquidFile(4);
       }, sub {
	 #displaySquidFile(5);
       }],
     \&submitLine ];


print <<EOF
<h1>Explications:</h1>
<ul>

<li>Les <b>clients non filtrs</b> ne sont concerns par aucun
filtrage:  partir de ces machines, on n'a pas besoin d'indiquer de
mot de passe, et on a accs  tous les sites.  On peut par exemple
mettre dans cette liste les ordinateurs qui se trouvent dans la
confrence, au secrtariat, dans la loge, etc.

<li>Les <b>utilisateurs interdits de Web</b> ne peuvent pas surfer,
mme pas sur des sites permis aux autres.  On peut par exemple faire
figurer dans cette liste les tudiants auquel on veut interdire
l'accs au Web pour des raisons disciplinaires.

<li>Les <b>domaines censures</b> et les <b>Adresses IP censures</b>
sont inaccessibles  tous les tudiants.  Les <b>domaines censurs</b>
sont indiqus en toutes lettres (exemple: <code>rotten.com</code>),
tandis que les <Adresses IP censures</b> sont indiques en tant
qu'adresses numriques (exemple: <code>10.20.30.45</code>).  On peut
par exemple indiquer dans ces listes des sites qui ont des donnes de
caractre contraire aux bonnes moeurs.

<li>Les <b>Rseaux locaux</b> dcrivent les machines ayant accs au
proxy.  Cette liste doit contenir toutes les machines du Lyce.  Les
machines non reprises dans cette liste ne peuvent utiliser le proxy.
Cette liste sert donc de protger le proxy des accs qui viendraient
de l'extrieur.

</ul>
EOF
;

&footer("/", "index");
hr;
