use strict;
use vars qw($table $firewallScript @firewallScripts $explications $filename);

$filename="$config{firewall_location}/main";
$table = [
	  [ $text{suseXpert_logAccept}, "LOG_ACCEPT", \&checkbox ],
	  [ $text{suseXpert_nntpServer}, "NNTPSERVER", \&networks ],
	  [ $text{suseXpert_nntpFeed}, "NEWSFEED", \&networks ],
	  [ $text{suseXpert_sshClients}, "SSH", \&link_checkbox ],
	  [ $text{suseXpert_routers}, "ROUTER", \&networks ],
	  [ $text{suseXpert_proxyIn}, "TRANSPROXY_IN", \&proxy ],
	  [ $text{suseXpert_proxyOut}, "TRANSPROXY_OUT", \&proxy ],
	  [ $text{suseXpert_tcpLocked}, "TCP_LOCKED_PORTS", \&ports ],
	  [ $text{suseXpert_udpLocked}, "UDP_LOCKED_PORTS", \&ports ],
	  [ $text{suseXpert_sslPort}, "SSLPORT", \&port ]
	  ];

@firewallScripts=("firewall", "school-firewall", "classrooms");

1;
